#ifndef GROUP_DEFINITIONS_H
#define GROUP_DEFINITIONS_H

#include <QDialog>
#include <QTableWidget>

#include "qmolelements.h"

const int m_Error = 0;
    const int m_OK = 0;
    const int m_BadFormula = 1;
    const int m_UndefinedSymbol = 2;
const int m_Row = 1;
    const int m_toAdd = -9;
const int m_Kind = 2;
    const int m_Formula = 0;
    const int m_Weight = 1;

namespace Ui {
class group_definitions;
}

class group_definitions : public QDialog
{
    Q_OBJECT
    
public:
    //explicit group_definitions(QWidget *parent = 0);
    group_definitions(QWidget *parent, ElementTable* elements_, GroupTable* groups_, qmolPreferences* preferences_);
    ~group_definitions();
    QString writeTable();
    QString getStatusMessage(int* errors);

signals:
    void tableChanged(bool);

public slots:

    void on_symbol_returnPressed();
    void on_definition_returnPressed();
    void addGroup();
    void setTableContents();
    void on_pbCancel_clicked();
    void on_pbDone_clicked();
    void on_pbApply_clicked();
    void on_pbDiscard_clicked();
    void on_pbDeleteLine_clicked();
    void on_cbAminoAcids_toggled(bool);
    //void on_cbAminoAcids1L_toggled(bool);
    void on_cbAlkylsAryls_toggled(bool);
    void addNewDefinition();
    void onTableChanged(bool);
    void onItemChanged(QTableWidgetItem*);
    void onShow();
    void onSelectionChanged();

private:
    void deleteTableContents();
    bool checkTable(int*);
    bool checkItem(QTableWidgetItem*, int*);
    void predefToggled();

    ElementTable* elements;
    GroupTable* groups;
    Composition* composition;
    QList<int>  linesToDelete;
    qmolPreferences* preferences;
    bool changed;
    //void setTableContents(QMap<QString, QString>* groupTable);
    Ui::group_definitions *ui;
};

#endif // GROUP_DEFINITIONS_H
