#ifndef OPTIONS_DIALOG_H
#define OPTIONS_DIALOG_H

#include <QDialog>

#include "preferences.h"
#include "qmolcalc.h"

namespace Ui {
class options_dialog;
}

class options_dialog : public QDialog
{
    Q_OBJECT
    
public:
    explicit options_dialog(qmolPreferences*, QWidget *parent = 0);
    ~options_dialog();

private slots:
    void chooseSubscriptColor();
    void applySettings();
    void onOKclicked();
    void onCancelClicked();
    void updateSampleFormula();
    void updateGUIoutput(QString outputFormat);
    void updateCommandLineOutput(QString outputFormat);
    void updateCompositionFormat(QString outputFormat);
    void updateNumberAAformat(QString outputFormat);

private:
    Ui::options_dialog *ui;
    qMolCalc* sampleOutput;
    qmolPreferences* preferences;
};

#endif // OPTIONS_DIALOG_H
