#ifndef PREFERENCES_H
#define PREFERENCES_H

#include <QColor>
#include <QSize>
#include <QPoint>
#include <QStringList>
#include <QSettings>

const int m_AlkylsAryls  = 0;
const int m_AminoAcids   = 1;
const int m_AminoAcids1L = 2;

// the items in the stringlists must be kept in the same order as the corresponding constants
const QStringList predefSetsNames = QStringList() << "AlkylsAryls"  << "AminoAcids"  << "AminoAcids1L"   ;
const QStringList predefSetsFiles = QStringList() << "alkyls_aryls" << "amino_acids" << "amino_acids_1l" ;
const bool defaultActivePredefSets[] = { true, true, true };

class qmolPreferences
{
public:
    qmolPreferences();
    ~qmolPreferences();

    void restoreSettings();
    void restoreGUISettings();
    void storeSettings();

    //QSettings settings;

    QSize size;
    QPoint position;
    QSize preferencesSize;
    QPoint preferencesPosition;
    QSize groupDefsSize;
    QPoint groupDefsPosition;

    QColor coeffColor;
    bool proteinMode;
    bool subscriptCoeffient;
    bool reverseHistory;

    QString outputFormat;
    QString outputFormatGUI;
    QString numberAAformat;
    QString compositionFormat;

    QByteArray splitterSizes;
    QList<bool> activePredefSets;
};

#endif // PREFERENCES_H
